from django.db import models
from django.conf import settings
from django.contrib.auth.models import User
from django.utils.translation import gettext_lazy as _

class Target(models.Model):
    target = models.PositiveIntegerField(_('Target to reach'))
    user = models.ForeignKey(
        settings.AUTH_USER_MODEL,
        on_delete=models.CASCADE,
        primary_key = True
    )

class ArrowCount(models.Model):
    user = models.ForeignKey(
        settings.AUTH_USER_MODEL,
        on_delete=models.CASCADE
    )
    date = models.DateField(_('Training date'))
    count = models.PositiveIntegerField(_('Arrow count for the day'))

    def __str__(self):
        return self.date.strftime("%x") + ": " + str(self.count)
