'use strict';
// vim: set ts=2 sw=2 tw=80 et:

$(document).ready(function() {
  var data = JSON.parse($('#data').text()),
    format = djangoToMomentFmt(django.get_format('SHORT_DATE_FORMAT'));
  var chart = $('#chart');
  var labels = [], dataset = [];

  // Set the chart height in em according to length of dataset
  chart.css("height", "" + (2 * data.length) + "rem");
  // Force height in pixels in order to fix infinite growth resizing bug of
  // chart.js
  chart.attr("height", chart.height());

  data.forEach(function(d) {
    labels.push(moment(d.weekStarts).format(format) + ' - ' +
      moment(d.weekEnds).format(format));
    dataset.push(d.sum_count);
  });

  var chart = new Chart(chart, {
    type: 'horizontalBar',
    data: {
      labels: labels,
      datasets: [{
        label: '# of Arrows',
        data: dataset,
        borderWidth: 1
      }]
    },
    options: {
      scales: {
        xAxes: [{
          ticks: {
            beginAtZero: true
          }
        }]
      }
    }
  });
});

