from django.urls import path
from django.contrib.auth.decorators import login_required
from . import views

urlpatterns = [
    path('', views.index, name='index'),
    path('stats', views.count_stats, name='stats'),
    path('count/export', views.arrow_count_export, name='count_export'),
    path('count/list', views.arrow_count_list, name='count_list'),
    path('count/new', login_required(views.NewArrowCount.as_view()),
        name='count_new'),
    path('count/edit/<int:id>', login_required(views.EditArrowCount.as_view()),
        name='count_edit'),
    path('target/edit', login_required(views.EditTarget.as_view()),
        name='target_edit'),
    path('target/delete', views.target_delete,
        name='target_delete'),
    path('count/delete/<int:id>', login_required(views.DeleteArrowCount.as_view()),
        name='count_delete'),
    path('count/edit/<int:ac_id>/ajax', login_required(views \
        .arrow_count_update_ajax), name='count_edit_ajax'),
    ]
